QwtScaleArithmetic(3)

NAME
QwtScaleArithmetic -

Arithmetic including a tolerance.

SYNOPSIS

#include <qwt_scale_engine.h>

  Static Public Member Functions
static double ceil125 (double x)
static double ceilEps (double value, double intervalSize)
static int compareEps (double value1, double value2, double intervalSize)
static double divideEps (double interval, double steps)
static double floor125 (double x)
static double floorEps (double value, double intervalSize)

Detailed Description

Arithmetic including a tolerance.

Member Function Documentation

  double QwtScaleArithmetic::ceil125 (doublex) [static] Find the smallest value out of {1,2,5}*10^n with an integer number n which is greater than or equal to x

Parameters:
    x Input value

  double QwtScaleArithmetic::ceilEps (doublevalue, doubleintervalSize) [static] Ceil a value, relative to an interval

Parameters:
    value Value to ceil
    intervalSize Interval size

See also:
    floorEps()

  int QwtScaleArithmetic::compareEps (doublevalue1, doublevalue2, doubleintervalSize) [static]

Compare 2 values, relative to an interval. Values are 'equal', when : $

Parameters:
    value1 First value to compare
    value2 Second value to compare
    intervalSize interval size

Returns:
    0: if equal, -1: if value2 > value1, 1: if value1 > value2

  double QwtScaleArithmetic::divideEps (doubleintervalSize, doublenumSteps) [static]

Divide an interval into steps. $stepSize = (intervalSize - intervalSize * 10e^{-6}) / numSteps$.PP Parameters:
    intervalSize Interval size
    numSteps Number of steps

Returns:
    Step size

  double QwtScaleArithmetic::floor125 (doublex) [static]

Find the largest value out of {1,2,5}*10^n with an integer number n which is smaller than or equal to x. Parameters:
    x Input value

  double QwtScaleArithmetic::floorEps (doublevalue, doubleintervalSize) [static] Floor a value, relative to an interval

Parameters:
    value Value to floor
    intervalSize Interval size

See also:
    floorEps()

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.